
Core - Bug # 49033

Status: New Priority: Must have
Author: Philipp Gampe Category:
Created: 2013-06-11 Assigned To:
Updated: 2015-01-31 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus: On Location Sprint
Subject: Filelist references are displayed the wrong way
Description

Currently all filelist references are displayed as "references to this item", linking to the shown content element.
However the reference list should show the files in "from this item" and link to the FAL file record.

I did not try with 6.0 and 6.1, but the problem should be the same.

History
#1 - 2013-06-11 17:48 - Philipp Gampe
- Category changed from Backend API to File Abstraction Layer (FAL)

#2 - 2014-05-10 12:12 - Sebastian Fischer

I dont understand the problem. If i look at the references in the Web\List Modul there are always those references show that link to that item. Why
should the File\Filelist handle this behaviour different? Exspecialy in the file list i want to know where this file is used in. And as i understand it the file it
self cant link to any other element. Atleast i dont know a way to edit the file and add references to other content elements or files beside categories.

#3 - 2015-01-31 16:26 - Philipp Gampe
- Category deleted (File Abstraction Layer (FAL))
- Is Regression set to No
- Sprint Focus set to On Location Sprint

This is either an oddity the FAL TCA or a general problem with bilateral relations (MM) in TYPO3. It should be checked if this happens only with FAL or
if this also effects other records.
The API is not FAL specific, therefore removing FAL category for now.
